KMdiTaskBarButton Class Reference

`#include <kmditaskbar.h>`

Inherits QPushButton.

## Public Slots

void | setNewText (const QString &)

## Signals

void | clicked (KMdiChildView *)
void | leftMouseButtonClicked (KMdiChildView *)
void | rightMouseButtonClicked (KMdiChildView *)
void | buttonTextChanged (int)

## Public Member Functions

| KMdiTaskBarButton (KMdiTaskBar *pTaskBar, KMdiChildView *win_ptr)
| ~KMdiTaskBarButton ()
QString | actualText () const
void | fitText (const QString &, int newWidth)
void | setText (const QString &)

## Public Attributes

KMdiChildView * | m_pWindow

## Protected Slots

void | mousePressEvent (QMouseEvent *)

## Protected Attributes

QString | m_actualText

## Detailed Description

Internal class.

It's a special kind of QPushButton catching mouse clicks. And you have the ability to abbreviate the text that it fits in the button.

Definition at line 51 of file kmditaskbar.h.

## Constructor & Destructor Documentation

KMdiTaskBarButton::KMdiTaskBarButton | ( | KMdiTaskBar * | pTaskBar,
|  | KMdiChildView * | win_ptr
| ) |  |

Constructor (sets to toggle button, adds a tooltip (caption) and sets to NoFocus.

Definition at line 58 of file kmditaskbar.cpp.

KMdiTaskBarButton::~KMdiTaskBarButton | ( |  | ) |

Destructor.

Definition at line 69 of file kmditaskbar.cpp.

## Member Function Documentation

QString KMdiTaskBarButton::actualText | ( |  | ) | const

text() returns the possibly abbreviated text including the dots in it.

But actualText() returns the full text.

Definition at line 132 of file kmditaskbar.cpp.

void KMdiTaskBarButton::buttonTextChanged | ( | int |  | ) |

signal

Emitted when the button text has changed.

Internally connected with KMdiTaskBar::layoutTaskBar

void KMdiTaskBarButton::clicked | ( | KMdiChildView * |  | ) |

signal

Emitted when the button has been clicked.

Internally connected to setFocus of the according MDI view.

void KMdiTaskBarButton::fitText | ( | const QString & | origStr,
|  | int | newWidth
| ) |  |

Given the parameter newWidth this function possibly abbreviates the parameter string and sets a new button text.

Definition at line 101 of file kmditaskbar.cpp.

void KMdiTaskBarButton::leftMouseButtonClicked | ( | KMdiChildView * |  | ) |

signal

Internally connected with KMdiMainFrm::activateView.

void KMdiTaskBarButton::mousePressEvent | ( | QMouseEvent * | e | ) |

protected slot

Reimplemented from its base class to catch right and left mouse button clicks.

Definition at line 72 of file kmditaskbar.cpp.

void KMdiTaskBarButton::rightMouseButtonClicked | ( | KMdiChildView * |  | ) |

signal

Internally connected with KMdiMainFrm::taskbarButtonRightClicked.

void KMdiTaskBarButton::setNewText | ( | const QString & | s | ) |

slot

A slot version of setText.

slot version of setText

Definition at line 89 of file kmditaskbar.cpp.

void KMdiTaskBarButton::setText | ( | const QString & | s | ) |

Sets the text and avoids any abbreviation.

Memorizes that text in m_actualText, too.

Definition at line 95 of file kmditaskbar.cpp.

## Member Data Documentation

QString KMdiTaskBarButton::m_actualText

protected

Internally we must remember the real text because the button text can be abbreviated.

Definition at line 114 of file kmditaskbar.h.

KMdiChildView* KMdiTaskBarButton::m_pWindow

The according MDI view.

Definition at line 109 of file kmditaskbar.h.

The documentation for this class was generated from the following files:

- kmditaskbar.h
- kmditaskbar.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys